*  Program...........: StrCnt.PRG
*  Author............: Edward Leafe
*  Project...........: 
*  Created...........: 08/14/93
*  Copyright.........: (c) Edward Leafe
*) Description.......: This program takes two strings, tcStr and tcFind, 
*                      and returns the number of times that tcFind appears 
*                      in tcStr.
*  Calling Samples...: jnX = StrCnt("What a great day","at") (returns 2)
*  Parameter List....: tcStr  -> the string to be searched
*                      tcFind -> the string to look for in tcStr
*                      tlCase -> Restrict to case-sensitive searches if .T.
*  Major change list.:

PARAMETERS tcStr, tcFind, tlCase
PRIVATE ALL LIKE j*
PRIVATE ALL LIKE s*
IF EMPTY(tlCase)
   tcStr  = UPPER(tcStr)
   tcFind = UPPER(tcFind)
ENDIF

jnRet = 0
jnFindPos = AT(tcFind,tcStr,jnRet+1)
DO WHILE jnFindPos > 0
   jnRet = jnRet + 1
   jnFindPos = AT(tcFind,tcStr,jnRet+1)
ENDDO

RETURN jnRet
